Skip to content

Bind User via Username and Password Interface

When a user enters the Mini Program and logs in via WeChat for the first time, they cannot log in through openid and unionid. The user needs to supplement their existing username and password for binding. After binding is complete, when logging in via WeChat in the Mini Program, the user can directly log in through openid and unionid. If the username or password entered by the user is incorrect, binding cannot be completed. If the enterprise expects that only users who have already registered in the system with a username and password can log in via the Mini Program, this interface can be called. Before calling this interface, you need to obtain a temporary token through the WeChat Mini Program Login Interface.

Request Description

Request Headers

Parameter NameNameRequiredTypeExample
X-operating-sys-versionClient Operating System VersionYesStringwindows10.1.1
X-device-fingerprintClient Device FingerprintYesString156aysdna213sc50
X-device-ipClient IPNoString192.168.1.2
X-agentUser-Agent InformationYesStringMozilla/5.0 (iPhone; CPU iPhone OS 13_3 like Mac OS X)
X-LUsed for Internationalization Language SettingsNoStringzh
X-client-idApplication Authorization IDYesStringnTo1eRIub60vPb54WeE6aojPwYwImtl4
X-state-tokenTemporary TokenYesStringeyJhbcOiJ……nEPRiIC4we0
content-typeContent Format TypeYesStringapplication/json

Request Example

json
{
    "user_name":"zhangshan",
    "password":"password"
}

Request Parameters

Parameter NameNameRequiredTypeDescription
user_nameUsernameYesStringUsername entered by the user
passwordPasswordYesStringPassword entered by the user

Response Example

Success Example

HTTP/1.1 200 OK

json
{
    "session_token": "btsiBjx85prcZu6I6Ki057Tmw3nSF2VO",
    "expire": 432000,
    "status": "SUCCESS",
    "id_token": "eyJraWQn0.eyJpc3MiOiJodHR…g1A7jG8O0uw"
}

Error Example

HTTP/1.1 400 Bad Request

json
{
    "error_code": "IDAAS.SDK.COMMON.1007",
    "error_msg": "state_token parameter error"
}

Response Parameters

Parameter NameNameTypeDescription
statusLogin Flow Status IdentifierStringSUCCESS: Login successful SOCIAL_BIND: Bind flow USER_REGISTER: Auto-register and bind flow ACCESS_DENIED: Access denied MFA_AUTH: Secondary authentication
expiresession_token Validity PeriodNumbersession_token validity period
session_tokenUser session_tokenStringUser session_token
id_tokenIdentity Token of the Logged-in User, Short-term ValidStringThis field is in JWT format and contains user identity information. You can refer to "Get User Information from id_token" to obtain user information. The token validity period defaults to 5 minutes.

BambooCloud IDaaS Open Platform